/* Prototypes for functions defined in
Data.c
 */

void myStartup(void);

void myCleanup(void);

short ReadDirectory(unsigned char * , struct List * , struct Record * , struct Record ** , unsigned short );

short ReadFloppy(unsigned char * , struct Floppy ** );

void FreeAllFloppies(struct List * );

void FreeFloppy(struct Floppy * , short );

void FreeRecord(struct Record * , short );

void DeleteBelow(struct Record * , short );

void DeleteRecord(struct Record * );

struct Floppy * DupFloppy(struct Floppy * );

struct Record * DupRecord(struct Record * );

short FindMatch(struct List * , unsigned char * , short , short , unsigned long , short );

void AddFloppyInPlace(struct List * , struct Node * );

short AddRecordInPlace(struct List * , struct Node * , struct Node * );

void ResetKeys(void);

void FreeKeys(void);

void CopyFromKeys(void);

void CopyToKeys(void);

void TestKeyDelete(void);

void FreeKeyCopy(void);

unsigned char ** AddKeyToList(unsigned char * , short * );

unsigned char ** ChangeKeyList(unsigned char * , unsigned char * );

void DelKeyFromList(unsigned char * );

void InitKeyScan(void);

unsigned char ** GetNextKey(short * );

short KeyNumber(unsigned char * );

unsigned char ** NumberKey(short );

void AddKeyInPos(short , unsigned char * );

void RemoveKeyFromFloppies(struct List * , unsigned long );

void KeysBelow(struct Record * , unsigned long , unsigned long );

void SalvageData(struct Floppy * , struct Floppy * , long );

